GET /api/streams/{name}

Spaces method and path for this operation:

get /s/{space_id}/api/streams/{name}

Refer to Spaces for more information.

Fetches a stream definition and associated dashboards

[Required authorization] Route required privileges: read_stream.

Path parameters

  • name string Required
application/json

Body

object object

Additional properties are NOT allowed.

Responses

  • 200 application/json
GET /api/streams/{name}
curl \
 --request GET 'https://<KIBANA_URL>/api/streams/{name}' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json"
Response examples (200)
{
  "rules": [],
  "stream": {
    "name": "logs.nginx",
    "type": "wired",
    "ingest": {
      "wired": {
        "fields": {
          "message": {
            "type": "match_only_text"
          },
          "host.name": {
            "type": "keyword"
          },
          "http.response.status_code": {
            "type": "long"
          }
        },
        "routing": [
          {
            "where": {
              "gte": 500,
              "field": "http.response.status_code"
            },
            "status": "enabled",
            "destination": "logs.nginx.errors"
          }
        ]
      },
      "settings": {},
      "lifecycle": {
        "inherit": {}
      },
      "processing": {
        "steps": [],
        "updated_at": "2025-01-15T10:30:00.000Z"
      },
      "failure_store": {
        "inherit": {}
      }
    },
    "updated_at": "2025-01-15T10:30:00.000Z",
    "description": "Web server access logs, routed by severity"
  },
  "queries": [],
  "dashboards": [],
  "privileges": {
    "manage": true,
    "monitor": true,
    "simulate": true,
    "lifecycle": true,
    "text_structure": true,
    "read_failure_store": true,
    "view_index_metadata": true,
    "manage_failure_store": true,
    "create_snapshot_repository": false
  },
  "inherited_fields": {
    "log.level": {
      "from": "logs",
      "type": "keyword"
    },
    "@timestamp": {
      "from": "logs",
      "type": "date"
    }
  },
  "data_stream_exists": true,
  "effective_settings": {},
  "effective_lifecycle": {
    "dsl": {
      "data_retention": "7d"
    },
    "from": "logs"
  },
  "effective_failure_store": {
    "from": "logs",
    "disabled": {}
  }
}